> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Wallet Verification

> Checks contributors have verified wallets for a payroll, or for a contractor invoice month.

Required scope: `payroll:read`

## OpenAPI

````yaml api-reference/openapi.json GET /stablecoin-payroll/validate-wallet-verification
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /stablecoin-payroll/validate-wallet-verification:
    get:
      operationId: validateWalletVerification
      summary: Validate Wallet Verification
      x-toku-required-scope: payroll:read
      description: >-
        Checks contributors have verified wallets for a payroll, or for a
        contractor invoice month.


        Required scope: `payroll:read`
      parameters:
        - name: tokenPayrollID
          in: query
          required: false
          schema:
            type: string
        - name: contractorInvoiceMonth
          in: query
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateWalletVerificationResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ValidateWalletVerificationResponse:
      type: object
      properties:
        validations:
          type: array
          items:
            type: object
            properties:
              roleInOrgID:
                type: string
              employeeName:
                type: string
              hasVerifiedWallets:
                type: boolean
              missingTokenTypes:
                type: array
                items:
                  type: string
              verifiedTokenTypes:
                type: array
                items:
                  type: string
            required:
              - roleInOrgID
              - employeeName
              - hasVerifiedWallets
              - missingTokenTypes
              - verifiedTokenTypes
      required:
        - validations
      description: Request regeneration does not infer response shapes.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
